Package ghidra.app.cmd.refs

# Class AddMemRefsCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand<Program>
ghidra.app.cmd.refs.AddMemRefsCmd

All Implemented Interfaces:
  `Command<Program>`

public class AddMemRefsCmd extends BackgroundCommand<Program>
`AddMemRefsCmd` adds a set of memory references from a specified address and opIndex to all code units identified by a set of addresses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddMemRefsCmd(Address fromAddr, AddressSetView toSet, RefType refType, SourceType source, int opIndex)`
  Add memory references.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, run, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddMemRefsCmd

    public AddMemRefsCmd(Address fromAddr, AddressSetView toSet, RefType refType, SourceType source, int opIndex)
    Add memory references.
    Parameters:
      `fromAddr` - reference source
      `toSet` - set of addresses which make up reference destinations. Only those addresses on code where a code unit exists will be considered.
      `refType` - reference type to be applied.
      `source` - the source of the reference
      `opIndex` - source operand index

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand<Program>`
    Parameters:
      `program` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully